Bug 1023922 - View member can not check the info of shared empty domains without creating a domain of themselves from website.
View member can not check the info of shared empty domains without creating a...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 06:46 EDT by Yujie Zhang
Modified: 2015-05-14 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 08:47:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-10-28 06:46:56 EDT
Description of problem:

Added member A as view member to domain B which does not have any application in it, login using member A, becase member A also does not have any doamins or applciation of itself, there is no route to list or check the info of shared domains, member A can only check the shared domain after creating a domain and an application of its own.

If like this, view members lose their permission to check the info of shared empty domains, like gear size, membership if they do not have applications.

Version-Release number of selected component (if applicable):
devenv_3953

How reproducible:
always

Steps to Reproduce:
1.Added member A as view member to domains
2.Login using member A
3.Try to find route to list the shared resource

Actual results:

No route for view member to check the info of shared resource from website without creating domain and applciation of its own.

Expected results:

Should provide route or link for view member to check the info of shared domain from website even if it does not have any domains or applications.

Additional info:
Comment 1 Jordan Liggitt 2013-11-11 08:47:01 EST
This is working as designed. Empty domains you don't have edit permission on are not considered important enough to have a top-level "Domains" tab.

Note You need to log in before you can comment on or make changes to this bug.